Package org.eclipse.cdt.core.dom.ast

# Interface IArrayType

All Superinterfaces:
  `Cloneable`, `IType`

All Known Subinterfaces:
  `ICArrayType`

public interface IArrayType extends IType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`IASTExpression`
`getArraySizeExpression()`
Deprecated.
Replaced by `getSize()`.
`IValue`
`getSize()`
Returns the value for the size of the array type, or `null` if it is unspecified.
`IType`
`getType()`
Returns the type that this is an array of.
`boolean`
`hasSize()`
Checks is the array type has specified size.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Method Details

### getType

IType getType()
Returns the type that this is an array of.

### getSize

IValue getSize()
Returns the value for the size of the array type, or `null` if it is unspecified.

Since:
  5.2

### hasSize

boolean hasSize()
Checks is the array type has specified size.

Since:
  5.9

### getArraySizeExpression

@Deprecated IASTExpression getArraySizeExpression() throws DOMException
Deprecated.
Replaced by `getSize()`.

Throws:
  `DOMException`
Restriction:
  This method is not intended to be referenced by clients.